<?php
/*
 *      clickimage.php
 *
 *      Copyright 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

require dirname(__FILE__).'/../../inc/prepend.php';
$auth->check(1);

/**************** POPUP D'INSERTION ************************/



/*** Variables  ***/

//Chemin vers les fichiers
$fichier_conf_user = '/conf/'.$_SESSION['sess_user_id'].'.ini';
$fichier_conf_global = '/conf/clickimage.ini';


/*** Code ***/

require dirname(__FILE__)."/fonctions.php";

// lecture des fichiers de configuration
$globalconf = clickimage::readconf($fichier_conf_global);


/*** Affichage de l'entete ***/

l10n::set(dirname(__FILE__).'/l10n/'.DC_LANG.'-utf8/clickimage'); //Chargement du fichier de traduction

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">

    <head>
      <title>'.__('Insérer une image').' - ClickImage</title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <link rel="stylesheet" type="text/css" href="../../style/default.css" media="screen" />
      <style type="text/css">
        ul          { margin:0; padding:0; list-style-type:none}
        li.title    { margin-top: .7em;  margin-bottom: .5em; font-weight:bold; }
        li.content  { margin-top: .5em;  margin-bottom: .7em; }
      </style>
      <script type="text/javascript" src="../../js/tools.js"></script>
      <script type="text/javascript" src="../../js/toolbar.js"> </script>
      <script type="text/javascript">
        function visibilite(thingId)
        {
            var targetElement;
            targetElement = document.getElementById(thingId) ;
            if (targetElement.style.display == "none")
            {
                targetElement.style.display = "" ;
                this.resizeTo(360,'.$globalconf['h_popup_deplier'].');
                document.images["aChanger"].src="../../images/moins.png"
            } else {
                targetElement.style.display = "none" ;
                this.resizeTo(360,'.$globalconf['h_popup_plier'].');
                document.images["aChanger"].src="../../images/plus.png"
            }
        }
    </script>
    </head>

    <body
        class="popup" style="margin-top:15px; margin-bottom: 0px"
        ';
if (isset($_POST['envoie'])) {
    $msgdbg = '';
    $msgerror = '';

    // Extention de fichier
    $extensions_ok = array_merge(explode(",", $globalconf['ext_jpg'].",".$globalconf['ext_gif'].",".$globalconf['ext_png']));

    //Dossier image
    $dest_dossier = str_replace(array ('%d%','%m%','%y%','%Y%','%auteur%'),
                                array(date('d'),date('m'),date('y'),date('Y'),$_SESSION['sess_user_id']),
                                $globalconf['dest_dossier'] );

    clickimage::mk_chemin($dest_dossier);

    clickimage::writeconf($fichier_conf_user, $_POST);
    if (file_exists (dirname(__FILE__).$fichier_conf_user)) {
        $userconf = clickimage::readconf($fichier_conf_user);
    }

    if ($_FILES['img_hdd']['name'] == null) {
        $orig = clickimage::copier($_POST['img_web']);
    } else {
        $orig = clickimage::envoi('img_hdd');
    }

    //Création de la miniature
    $min = clickimage::miniature($orig, 'min');

    // reduction de l'original si demander
    if ($globalconf['reduct_orig'] == "checked")
    {
        $orig = clickimage::miniature($orig, 'orig');
    }

    //modif des permissions
    @chmod ($orig,0644);
    @chmod ($min,0644);


    if (!isset($_POST['serie_image'])) $_POST['serie_image'] = 0;
    echo '
        onload="
            if (document.getElementById) {
                var tbImg = new dcToolBar(  window.opener.document.getElementById(\'p_content\'),
                                            window.opener.document.getElementById(\'p_format\'),
                                            \'images\');
            }
            tbImg.insImgClick(\''.htmlentities(clickimage::lien($min,$orig)).'\');
            ';
    if ($globalconf['debug'] != 'checked' & $msgerror == '') {
        if ($_POST['serie_image'])
            echo 'window.location.replace("clickimage.php?format='.$_GET['format'].'");';
        else
            echo 'window.close();';
    }
    echo '">

    <div id="main"><div id="content" style="margin-right: 15px; margin-top: -10px">
    ';

    echo "<p>$msgerror</p>";

    if ($globalconf['debug'] == 'checked')
        echo "<p>DEBUG MODE :</p><pre>$msgdbg</pre>";

    echo '<p>';
    if ($_POST['serie_image'])
        echo '<a href="#" onclick="window.close();">[fermer]</a>';
    clickimage::retour();
    echo '</p>';
}
else
{
    if (!file_exists (dirname(__FILE__).$fichier_conf_user))
        clickimage::writeconf($fichier_conf_user);

    $userconf = clickimage::readconf($fichier_conf_user);


    /*** Affichage contenu ***/
    echo '
    onload="visibilite(\'optionsupp\');"
    >

    <div id="main"><div id="content" style="margin-right: 15px; margin-top: -10px">
        <form method="post" action="clickimage.php?format='.$_GET['format'].'" enctype="multipart/form-data" accept="image/png, image/gif, image/jpg">
        <p>'.dcNonce::form().'


        <!-- Envoie le type de format par formulaire -->
        <input type="hidden" name="format" value="'.$_GET['format'].'" /></p>

        <fieldset><legend>'.__('Insérer une image').'</legend>
        <ul>
        ';

    if ($globalconf['popup_imghdd'] == 'checked')
    {
        echo '
        <li class="title">'.__('Image sur le disque dur').'</li>
        <li class="content"><label for="img_hdd" /><input type="file" name="img_hdd" id="img_hdd" accept="image/png, image/gif, image/jpg" /></li>
        ';
    }

    if ($globalconf['popup_imgweb'] == 'checked')
    {
        echo '
        <li class="title">'.__('Image sur le net').'</li>
        <li class="content">'.form::field('img_web',36,'',__('Collez ici le lien vers l\'image" onfocus="this.value=\'\'')).'</li>
        ';
    }

    if ($globalconf['popup_position'] == 'checked')
    {
        echo '
        <li class="title">'.__('Format d\'insertion').'</li>
        <li class="content">'.
        form::combo('position',array(
            __('Texte à droite de l\'image') => 'gauche',
            __('Texte à gauche de l\'image') => 'droite',
            __('Image centrée')              => 'centre',
            __('Image comme caractère')      => 'caract'),
            $userconf['position']).'
        </li>
        ';
    }

    echo '
        <li class="title">'.__('Texte alternatif/Commentaire').'</li>
        <li class="content">'.form::field('text',36,'').'</li>
        ';

    /*** Debut des opitons supplémentaire ***/
    echo'
        </ul>
        <p style="font-weight: bold"><a href="javascript:visibilite(\'optionsupp\');"><img id="aChanger" src="../../images/plus.png" alt="+" /></a> '.__('Options supplémentaires').'</p>
        <ul id="optionsupp">
        ';

    if ($globalconf['preconf']  == "lightbox")
    {
        echo'
        <li class="title">'.clickimage::checked($userconf, 'mode_album',__('Utiliser le mode "album" de lightbox')).'</li>
        <li class="content"></li><span style="margin-left: 1.6em"> '.__('Nom').' : <input type="text" name="album" value="'.$userconf['album'].'" size="8" /></span>
        </li>
        ';
    }

    if ($globalconf['popup_reso'] == 'checked')
    {
        echo'
        <li class="title">'.clickimage::checked($userconf, 'change_reso',__('Changer la résolution de la miniature')).'</li>
        <li class="content"><span style="margin-left: 1.6em">'.
        form::field('min_reso_L',2,'',$userconf['min_reso_L']).'px '.__('en largeur').
        form::field('min_reso_H',2,'',$userconf['min_reso_H']).'px '.__('en hauteur').'
        </span>
        </li>
        ';
    }

    if ($globalconf['popup_recadrer'] == 'checked')
    {
        echo'
        <li class="title">'.clickimage::checked($userconf,'recadrer',__('Recadrer la miniature')).'</li>
        ';
    }

    echo'
        </ul>

        </fieldset>
        <p>
            <input style="float:right" type="submit" name="envoie" value="'.__('Envoyer').'" class="env" />
            '.clickimage::checked($userconf, 'serie_image',__('Ne pas fermer cette fenêtre')).'
        </p>
        </form>
        ';
}
echo'
    </div></div></body></html>
    ';
?>
